package cz.moneta.test.dsl.fortelight.components;

import cz.moneta.test.dsl.fortelight.pages.intermediary.IntermediaryPage;
import cz.moneta.test.harness.support.web.*;

import static cz.moneta.test.dsl.fortelight.components.IntermediaryRoleMenu.ROLE_MENU;

@Wait(ROLE_MENU)
public interface IntermediaryRoleMenu extends Builder {
    String ROLE_MENU = "//div[@class='side-block']//select[@name='role']";
    String ROLE_USER = ROLE_MENU + "//option[text()='Uživatelský režim']";
    String ROLE_ADMINBO = ROLE_MENU + "//option[text()='Administrátor BO']";

    @GetElementContent(ROLE_USER)
    String getUserId();
    
    @GetElementContent(ROLE_ADMINBO)
    String getAdminBoId();

    @Select(value = ROLE_MENU)
    IntermediaryPage selectRoleMenu(String valueRole);
}